﻿:root {
  --rz-text-font-family: 'Raleway', sans-serif;
  /*
    Custom Colors
*/
  --rz-custom: #ea1c18;
  --rz-custom-light: #f37875;
  --rz-custom-lighter: #f7a6a4;
  --rz-custom-dark: #a2120f;
  --rz-custom-darker: #8f0f0d;
  --rz-custalternate: #c99130;
  --rz-custalternate-light: #e0bd7f;
  --rz-custalternate-lighter: #f4e7d1;
  --rz-custalternate-dark: #7b591d;
  --rz-custalternate-darker: #5a4115;
  /*
    Radzen standard web colors
*/
  --rz-primary: var(--rz-custalternate-light);
  --rz-secondary: #c0c0c0;
  --rz-body-background-color: white;
  --rz-layout-body-padding: 8px;
  --rz-header-background-color: white;
  --rz-header-shadow: 0;
  --rz-layout-body-background-color: white;
  --rz-layout-body-padding: 0;
  --rz-text-overline-color: var(--rz-custom);
  --rcs-HoverBackgroundHiLight: #eae9ca;
  --rz-grid-header-background-color: #c0c0c0;
  --rz-grid-header-font-size: 0.7rem;
}
body {
  /*Zona wids*/
}
body .AllegatoPreviewIFrame {
  width: 100%;
  height: 50vh;
}
body .LeftRight {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
body .WidsUploadButton {
  width: 100%;
  /* height: 42px;*/
}
body .WidsUploadButton .rz-fileupload-buttonbar {
  padding: 0;
  height: 38px;
}
body .WidsUploadButton .rz-fileupload-buttonbar .rz-fileupload-choose {
  /*
                
                */
  background-color: #a0ffa0;
  height: 38px;
  width: 100%;
}
body .WidsUploadButton .rz-fileupload-buttonbar .rz-fileupload-choose input {
  width: 100%;
}
body .WidsUploadButton .rz-fileupload-buttonbar .rz-fileupload-choose span.rz-button-text {
  text-align: center;
  width: 100%;
  display: block;
  font-size: 0.875rem;
  margin-top: 5px;
}
body .ReloadListaProtocolliButton {
  margin-top: 8px;
  height: 40px;
  background-color: blanchedalmond !important;
}
body .ReloadListaProtocolliButton img {
  height: 30px !important;
  width: 30px !important;
  top: -3px !important;
  position: relative !important;
}
body .loader {
  width: 48px;
  height: 48px;
  display: inline-block;
  position: absolute;
  left: 50%;
  margin-left: -24px;
  top: 220px;
}
body .loader::after,
body .loader::before {
  content: '';
  width: 48px;
  height: 48px;
  border: 2px solid darkred;
  position: absolute;
  left: 0;
  top: 0;
  box-sizing: border-box;
  animation: rotation 3s ease-in-out infinite;
}
body .loader::after {
  border-color: red;
  animation-delay: 2s;
}
body .loading {
  text-align: center;
  padding-top: 120px;
  padding-bottom: 240px;
  color: DarkRed;
  width: 120px;
  margin: auto;
  animation: 2s anim-popoutin ease infinite;
}
body .MiddlePopUp {
  width: 30vw;
  background-color: #fffafa;
  position: absolute;
  left: 35vw;
  height: 30vh;
  top: 30vh;
  z-index: 100;
  border: 5px solid red;
  text-align: center;
  padding-top: 5vh;
  opacity: 0.9;
  border-radius: 10px;
  box-shadow: 0px 0px 15px black;
}
body .ZonaLogo {
  height: 80px;
}
body .ZonaLogo .LogoImage {
  height: 70px;
  margin: 0;
  padding: 10px;
}
body .ZonaLogo .LogoImage:hover {
  cursor: pointer;
  background-color: var(--rz-custalternate-lighter);
  border-radius: 10px;
}
body .ZonaLogo .Username {
  height: 74px;
  min-width: 148px;
  margin: 0;
  border-radius: 4px;
  display: flex;
  align-items: center;
  /* allinea verticalmente */
  justify-content: center;
  /* opzionale: allinea anche orizzontalmente */
  background-color: var(--rz-custalternate-lighter);
  color: black;
}
body .ZonaLogo .rz-menu.TopMenu {
  background-color: white;
}
body .ZonaLogo .rz-menu.TopMenu .rz-menu-toggle {
  color: black;
}
body .ZonaLogo .rz-menu.TopMenu .rz-navigation-item {
  background-color: var(--rz-custalternate-lighter);
  border: 1px solid var(--rz-custalternate-light);
  margin-right: 4px;
  border-radius: 4px;
  min-width: 150px;
  text-align: center;
}
body .ZonaLogo .rz-menu.TopMenu .rz-navigation-item:hover {
  background-color: #ffffff;
  border: 1px solid var(--rz-custom-light);
}
body .ZonaLogo .rz-menu.TopMenu .rz-navigation-item .rz-navigation-item-text {
  color: black;
}
body .ZonaLogo .rz-menu.TopMenu .rz-navigation-item .rz-navigation-item-icon {
  margin: 4px;
  border-radius: 4px;
}
body .NavMenu {
  width: 100%;
  border-radius: 4px;
}
body .NavMenu .rz-navigation-menu {
  padding: 0 !important;
}
body .NavMenu .MenuItem .rz-navigation-item-link {
  padding: 0 10px 0 10px !important;
}
body .NavMenu .MenuSeparator {
  padding: 0 10px 0 5px !important;
}
body .NavMenu .MenuSeparator {
  font-size: 90%;
  color: white;
}
body .NavMenu.MenuInfo {
  background-color: #3f6aa5;
}
body .NavMenu.MenuInfo .MenuItem {
  background-color: #bbd5ff;
}
body .NavMenu.MenuInfo .MenuSeparator {
  background-color: #a2c5ff;
  border-top: 2px solid #5a8dde;
}
body .NavMenu.MenuRec {
  background-color: #be7c4e;
}
body .NavMenu.MenuRec .MenuItem {
  background-color: #fcd7bd;
}
body .NavMenu.MenuRec .MenuSeparator {
  background-color: #fbc8a5;
  border-top: 2px solid #ca5300;
}
body .SidePanel {
  position: absolute;
  height: 80vh;
  width: 12%;
  left: 88%;
  top: 40px;
  background-color: #f0f0f0;
  text-align: center;
}
body .SidePanel button {
  width: 92% !important;
}
body .MainPanel {
  position: absolute;
  height: 99vh;
  width: 88%;
  left: 0;
  top: 40px;
}
body #TinyMceEditorArea {
  display: none;
}
body .tox {
  width: 88%;
  height: 82vh !important;
  top: 0vh;
}
body .WidsDetailMenu {
  border-radius: 3px;
  background-color: #f0f0f0 !important;
  padding: 2px;
  height: 62px !important;
}
body .WidsDetailMenu .rz-navigation-item-link {
  padding: 0 !important;
  color: black !important;
  font-size: 8pt;
  height: 58px !important;
  border: 1px solid #e0e0e0;
  margin: 2px;
  border-radius: 8px;
  width: 58px;
  text-align: center;
  background-color: #f8e8e8;
}
body .WidsDetailMenu .rz-navigation-item-link span {
  text-wrap: wrap;
}
body .WidsDetailMenu .rz-navigation-item-link .rz-navigation-item-icon {
  border-radius: 8px;
  margin: 3px;
  width: 54px;
  height: 54px;
}
body .rz-dialog-titlebar {
  padding: 5px;
  background-color: #e0e0e0;
}
body .rz-dialog-content {
  padding: 5px;
}
/* WIDS */
.rz-datatable-loading-content {
  width: 100%;
  background-color: #ffa00080;
}
.WidsMainProtocGrid {
  cursor: pointer;
}
.WidsMainProtocGrid tr:hover {
  background-color: yellow;
}
.WidsInfoHeader {
  height: 90px;
}
.MyGroupBox {
  width: 100%;
  position: relative;
  margin-top: 20px;
}
.MyGroupBoxTitle {
  position: absolute;
  top: -10px;
  left: 10px;
  background: white;
  padding: 0 8px;
  font-size: 85%;
  color: darkred;
}
.WidsCommandHeader {
  height: 100px;
  font-size: 90%;
  color: #202020;
  background-color: #e0e0e0;
}
.WidsCommandHeader .ButtonRow {
  max-width: 900px;
}
.WidsCommandHeader .ButtonRow .rz-col {
  flex: 0;
}
.WidsCommandHeader .ButtonRow .rz-col button {
  width: 100px !important;
  padding: 0;
  font-size: 10pt;
  color: black;
}
.WidsCommandHeader .ButtonRow .rz-col button.ButtonRed {
  background-color: #ffb0b0;
}
.WidsCommandHeader .ButtonRow .rz-col button.ButtonGreen {
  background-color: #91ff76;
}
.WidsCommandHeader .ButtonRow .rz-col button.ButtonWhite {
  background-color: white;
}
.WidsCommandHeader .ButtonRow .rz-col button.ButtonBoh {
  background-color: #D0D0D0;
}
.EsploraClientiGrid th {
  background-color: yellow;
}
.EsploraClientiGrid td .rz-cell-data {
  font-size: 80%;
}
.fade-in {
  opacity: 0;
  animation: fadeIn 300ms ease forwards;
}
@keyframes fadeIn {
  to {
    opacity: 1;
  }
}
@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes anim-popoutin {
  0% {
    transform: scale(1);
    text-shadow: 0 0 0 rgba(0, 0, 0, 0);
  }
  25% {
    transform: scale(1.1);
    opacity: 1;
    text-shadow: 3px 10px 5px rgba(0, 0, 0, 0.5);
  }
  50% {
    transform: scale(1);
    opacity: 1;
    text-shadow: 1px 0 0 rgba(0, 0, 0, 0);
  }
  100% {
    /* animate nothing to add pause at the end of animation */
    transform: scale(1);
    opacity: 1;
    text-shadow: 1px 0 0 rgba(0, 0, 0, 0);
  }
}